Enable binary mode
You can enable binary mode if your business model requires instant payment approval. In this mode, the payment can only be approved or rejected.
If disabled, the payment can be pending (if an action is required from the buyer) or in process (if a manual review is required).
To enable binary mode, include the capture_mode parameter with the value automatic when sending the request to the Create orderAPI endpoint.
curl
curl -X POST \ -H 'accept: application/json' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ENV_ACCESS_TOKEN' \ -H 'X-Idempotency-Key: UNIQUE_KEY' \ 'https://api.mercadopago.com/v1/orders' \ -d '{ "type": "online", "processing_mode": "manual", "capture_mode": "automatic", "total_amount": "1000.00", "external_reference": "order_pro_123", "payer": { "email": "buyer@email.com" }, "items": [ { "title": "My product", "unit_price": "1000.00", "quantity": 1, "unit_measure": "unit", "total_amount": "1000.00" } ] }'